body {
  margin: 0;
  padding: 0;
  font-family: sans-serif;
}

.map {
  height: calc(100vh - 100px);
}

.ol-attribution.ol-uncollapsible {
  height: 1.5em;
}

#content {
  display: grid;
  grid-template-columns: auto 370px;
  grid-template-rows: auto;
  grid-template-areas: "main side";
  grid-gap: 25px;
  margin: 25px;
}

#main {
  position: relative;
  grid-area: main;
  border: 1px solid black;
}

#main-title {
  margin-top: 10px;
  margin-left: 25px;
}

#location-search-input {
  position: absolute;
  top: 5px;
  left: 5px;
  width: 302px;
  height: 30px;
  border: 1px solid black;
  padding-left: 5px;
  margin-bottom: 10px;
}

#search-results {
  position: absolute;
  top: 33px;
  left: 5px;
  z-index: 1;
  width: 290px;
  border: 1px solid black;
  background: rgba(255, 255, 255, 0.8);
  padding: 5px;
}

.result-row:hover {
  background: rgba(200, 200, 200, 0.8);
  cursor: pointer;
}

#side {
  grid-area: side;
  padding: 5px;
  border: 1px solid black;
}

.flex {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.legend-field {
  height: 25px;
  width: 25px;
  margin: 0px;
  padding: 0px;
  border: 0px;
  border-radius: 4px;
  background-color: var(--value);
}
input[type=color]::-webkit-color-swatch {
  border: 0; /* see https://stackoverflow.com/a/49329023  */
}
input[type=color]::-moz-color-swatch {
  border: 0; /* see https://stackoverflow.com/a/49329023  */
  border-radius: 4px;
}

.threshold-legend {
  font-size: 0.8rem;
}

.threshold {
  margin-left: 5px;
}

.hidden {
  display: none;
}

.corner-ribbon {
  position: fixed;
  top: auto;
  bottom: 50px;
  right: -80px;
  z-index: 40;
  width: 300px;
  background: red;
  color: #fff;
  text-align: center;
  line-height: 50px;
  letter-spacing: 1px;
  -webkit-transform: rotate(-45deg);
  -ms-transform: rotate(-45deg);
  transform: rotate(-45deg);
}
